Bug 55826

Summary: [GTK] http/tests/plugins/post-url-file.html fails on GTK+
Product: WebKit Reporter: Martin Robinson <mrobinson>
Component: WebKitGTKAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: aroben, gns, jberlin, svillar, xan.lopez
Priority: P3 Keywords: Gtk
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Linux   
Bug Depends on: 55833    
Bug Blocks:    
Attachments:
Description Flags
Patch fixing this issue
none
Version of the patch supporting both older and newer versions of the CGI module none

Description Martin Robinson 2011-03-05 13:29:22 PST
http/tests/plugins/post-url-file.html fails on with the GTK+ DumpRenderTree and furthermore, PluginView::handlePostReadFile, which it tests is not implemented with GLib or GIO APIs.
Comment 1 Martin Robinson 2011-03-05 13:34:14 PST
Created attachment 84873 [details]
Patch fixing this issue
Comment 2 Xan Lopez 2011-03-05 13:49:02 PST
Comment on attachment 84873 [details]
Patch fixing this issue

Looks good.
Comment 3 Martin Robinson 2011-03-05 14:02:07 PST
Comment on attachment 84873 [details]
Patch fixing this issue

Clearing flags on attachment: 84873

Committed r80428: <http://trac.webkit.org/changeset/80428>
Comment 4 Martin Robinson 2011-03-05 14:02:10 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Martin Robinson 2011-03-10 10:23:23 PST
Reopening this one as the original commit was rolled out.
Comment 7 Martin Robinson 2011-03-10 10:29:13 PST
Created attachment 85347 [details]
Version of the patch supporting both older and newer versions of the CGI module
Comment 8 Xan Lopez 2011-04-01 16:15:23 PDT
Comment on attachment 85347 [details]
Version of the patch supporting both older and newer versions of the CGI module

r=me
Comment 9 Martin Robinson 2011-04-04 07:34:17 PDT
Comment on attachment 85347 [details]
Version of the patch supporting both older and newer versions of the CGI module

Clearing flags on attachment: 85347

Committed r82833: <http://trac.webkit.org/changeset/82833>
Comment 10 Martin Robinson 2011-04-04 07:34:30 PDT
All reviewed patches have been landed.  Closing bug.